summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoey Dumont2015-06-11 15:50:00 -0400
committerJoey Dumont2015-06-11 15:50:00 -0400
commitfa1154a58146125298a9ab0a771fd7ba586a5276 (patch)
tree1d42ef4af68b33405d23133ae1b9d44e246901d9
downloadaur-fa1154a58146125298a9ab0a771fd7ba586a5276.tar.gz
Pushed package tu AUR4.
-rw-r--r--.SRCINFO24
-rw-r--r--.gitignore10
-rw-r--r--PKGBUILD47
-rw-r--r--h5public_extract.patch23
4 files changed, 104 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c9b841ffa8c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = med-openmpi
+ pkgdesc = MED stands for Modelisation et Echanges de Donnees, i.e. Data Modelization and Exchanges - MED is code-aster exchange module linked to hdf5
+ pkgver = 3.0.8
+ pkgrel = 2
+ url = http://www.code-aster.org/outils/med/
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ makedepends = gcc-fortran
+ makedepends = coreutils
+ makedepends = openmpi
+ makedepends = swig
+ depends = hdf5-openmpi
+ depends = zlib
+ provides = med
+ conflicts = med
+ replaces = med
+ source = http://files.salome-platform.org/Salome/other/med-3.0.8.tar.gz
+ source = h5public_extract.patch
+ md5sums = 4f514a352c9a256f678077eea99b75c5
+ md5sums = 156ab9456bab7b70237d0fc785b97e7c
+
+pkgname = med-openmpi
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..67f8c18f063
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,10 @@
+*.tar
+*.tar.*
+*.zip
+*.tgz
+*.log
+*.log.*
+*.sig
+*.jar
+pkg/
+src/ \ No newline at end of file
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..02079591862
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Joey Dumont <joey.dumont@gmail.com>
+# Contributor: Martin Ortbauer <mortbauer@gmail.com>
+# Original: Michele Mocciola <mickele>
+# Contributor: Brice Méalier <mealier_brice@yahoo.fr>
+# Modified by: César Vecchio <cesar UNDERSTRIKE vecchio AT yahoo DOT com>
+
+pkgname=med-openmpi
+pkgver=3.0.8
+pkgrel=3
+pkgdesc="MED stands for Modelisation et Echanges de Donnees, i.e. Data Modelization and Exchanges - MED is code-aster exchange module linked to hdf5"
+url="http://www.code-aster.org/outils/med/"
+license="LGPL"
+depends=('hdf5-openmpi' 'zlib')
+makedepends=('gcc-fortran' 'coreutils' 'openmpi' 'swig')
+provides=('med')
+conflicts=('med')
+replaces=('med')
+arch=('i686' 'x86_64')
+source=("http://files.salome-platform.org/Salome/other/${pkgname//-openmpi/}-${pkgver}.tar.gz"
+ h5public_extract.patch)
+md5sums=('8adb41767474d262abca1ce031d08f47'
+ '156ab9456bab7b70237d0fc785b97e7c')
+
+prepare() {
+ cd ${srcdir}/${pkgname//-openmpi/}-${pkgver} || return 1
+ patch -Np1 -i ../h5public_extract.patch
+}
+
+build() {
+ cd ${srcdir}/${pkgname//-openmpi/}-${pkgver} || return 1
+
+ PYTHON=/usr/bin/python2 MPIFC=mpif90 ./configure --prefix=/usr --with-swig=swig --datadir=/usr/share/med --with-med_int=int || return 1
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname//-openmpi/}-${pkgver} || return 1
+
+ make DESTDIR=${pkgdir} install || return 1
+ # now move the testprograms to share, we don't want all the stuff in the bindir
+ cp -dpr --no-preserve=ownership ${pkgdir}/usr/bin/testc ${pkgdir}/usr/share/med/testc
+ cp -dpr --no-preserve=ownership ${pkgdir}/usr/bin/testf ${pkgdir}/usr/share/med/
+ cp -dpr --no-preserve=ownership ${pkgdir}/usr/bin/unittests ${pkgdir}/usr/share/med/
+ cp -dpr --no-preserve=ownership ${pkgdir}/usr/bin/usescases ${pkgdir}/usr/share/med/
+ rm -r ${pkgdir}/usr/bin/{usescases,unittests,testf,testc}
+}
+
diff --git a/h5public_extract.patch b/h5public_extract.patch
new file mode 100644
index 00000000000..dacd0bcb963
--- /dev/null
+++ b/h5public_extract.patch
@@ -0,0 +1,23 @@
+diff -aur med-3.0.8_SRC.pristine/include/H5public_extract.h.in med-3.0.8_SRC.new/include/H5public_extract.h.in
+--- med-3.0.8_SRC.pristine/include/H5public_extract.h.in 2015-03-05 11:12:31.668511247 -0500
++++ med-3.0.8_SRC.new/include/H5public_extract.h.in 2015-03-05 11:22:20.159242461 -0500
+@@ -24,13 +24,15 @@
+
+ //Extraction depuis H5public.h.
+
++%{
+ @HDF5_TYPEDEF_HERR_T@
+ @HDF5_TYPEDEF_HID_T@
+ @HDF5_TYPEDEF_HSIZE_T@
+-
+-#typedef int herr_t;
+-#typedef int hid_t;
+-#typedef unsigned long long hsize_t;
++%}
++
++typedef int herr_t;
++typedef int hid_t;
++typedef unsigned long long hsize_t;
+
+ #ifdef __cplusplus
+ }